#pragma once
#include "FLoginStateBase.h"

class FAuthCodeLoginState : public FLoginStateBase
{
public:
	FAuthCodeLoginState(FLoginManager& InManager,const FString& InToken)
	:FLoginStateBase(InManager),AuthCode(InToken){}

	virtual void Enter() override;

private:
	FString AuthCode;
};

